# CvAdaptiveSkinDetector Class Reference

`#include <contrib.hpp>`

List of all members.

## Classes

class | Histogram

## Public Types

enum | { MORPHING_METHOD_NONE = 0, MORPHING_METHOD_ERODE = 1, MORPHING_METHOD_ERODE_ERODE = 2, MORPHING_METHOD_ERODE_DILATE = 3 }

## Public Member Functions

| CvAdaptiveSkinDetector (int samplingDivider=1, int morphingMethod=MORPHING_METHOD_NONE)
virtual void | process (IplImage *inputBGRImage, IplImage *outputHueMask)
virtual | ~CvAdaptiveSkinDetector ()

## Protected Member Functions

void | adaptiveFilter ()
void | initData (IplImage *src, int widthDivider, int heightDivider)

## Member Enumeration Documentation

anonymous enum

Enumerator:

  MORPHING_METHOD_NONE |
  MORPHING_METHOD_ERODE |
  MORPHING_METHOD_ERODE_ERODE |
  MORPHING_METHOD_ERODE_DILATE |

## Constructor & Destructor Documentation

CvAdaptiveSkinDetector::CvAdaptiveSkinDetector | ( | int | samplingDivider = `1`,
|  | int | morphingMethod = `MORPHING_METHOD_NONE`
| ) |  |

virtual CvAdaptiveSkinDetector::~CvAdaptiveSkinDetector | ( | ) | `[virtual]`

## Member Function Documentation

void CvAdaptiveSkinDetector::adaptiveFilter | ( | ) | `[protected]`

void CvAdaptiveSkinDetector::initData | ( | IplImage * | src,
|  | int | widthDivider,
|  | int | heightDivider
| ) |  | `[protected]`

virtual void CvAdaptiveSkinDetector::process | ( | IplImage * | inputBGRImage,
|  | IplImage * | outputHueMask
| ) |  | `[virtual]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/contrib/include/opencv2/contrib/contrib.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines